package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseRequest;

import javax.validation.constraints.NotBlank;

/**
 * UserLoginRequest - 登录
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class UserLoginRequest extends BaseRequest {

    @NotBlank(message = "[username]用户名不能为空")
    private String username;

    @NotBlank(message = "[password]用户密码不能为空")
    private String password;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
